.modal-horaire {
    display: none; /* Caché par défaut */
    position: fixed; /* Rester en place */
    z-index: 1; /* Au-dessus des autres éléments */
    left: 0;
    top: 0;
    width: 100%; /* Pleine largeur */
    height: 100%; /* Pleine hauteur */
    overflow: auto; /* Activer le défilement si nécessaire */
    background-color: rgb(0,0,0); /* Noir avec opacité */
    background-color: rgba(0,0,0,0.4); /* Ajout d'opacité */
    text-align: center;
}

/* Contenu de la modale */
.modal-horaire-content {
    background-color: #fefefe;
    margin: 15% auto; /* Centrer la modale */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Peut être ajusté en fonction des besoins */
    max-width: 500px;
}

/* Bouton de fermeture */
.modal-horaire-content .close{
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.modal-horaire-content .close:hover,
.modal-horaire-content .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Styles pour le sélecteur et les boutons */
#plageHoraireSelect {
    width: 100%;
    padding: 10px;
    margin-top: 10px;
}

.modal-horaire-footer {
    display: flex;
    justify-content: flex-end;
    margin-top: 10px;
}

.modal-horaire-footer button {
    padding: 10px 20px;
    cursor: pointer;
}

div.flex-select {
    width: 95% !important;
}
.flex-select {
    padding: 0 .5rem;
    margin: 1rem 0;
    width: 100%;
    flex-direction: row-reverse;
    display: flex;
    align-items: center;
    border: 1px solid #DD725B;
    border-radius: 8px;
}

.modal-horaire-title {
    width: 73%;
    margin: auto;
    padding: 1rem 0 0;
    font-weight: 300;
    font-size: 17px;
}

.modal-horaire-select {
    border: none;
    -webkit-appearance: none;
}
